
public class Fraction
{
    private int numerator = 1;
    private int denominator = 1;
    
    public Fraction(int n, int d)
    {
        if (d == 0) {
            throw new IllegalArgumentException();
        }
        numerator = n;
        denominator = d;
    }
    
    public void setNumerator(int n) {
        numerator = n;
    }
    
    /**
     * Sets denominator. If the imput parameter is 0, then
     * it is ignored.
     * 
     * @param denom Denominator, must not be {@code null}
     * @return ... 
     * @throws IllegalArgumentException if ...
     */
    public void setDenominator(int denom) {
        if (denom == 0) {
            throw new IllegalArgumentException();
        }
        denominator = denom;
    }
    
    @Override
    public String toString() {
        return numerator + "/" + denominator;
    }
}
